#! /usr/bin/env python
#~ 
#~ from gamelib import main
#~ main.main()

# the default pyweek run_game is awful, this is a better one based on our
# last entry's code which in turn was based on PiTiVi's codebase


import sys
import os
import string

# variables
CONFIGURED_PYTHONPATH = ''
LIBDIR = '/usr/lib'

def _add_game_path():
    dir = os.path.dirname(os.path.abspath(__file__))
    root = os.path.join(LIBDIR, 'gamelib', 'python')

    if not root in sys.path:
        sys.path.insert(0, root)

    # prepend any directories found at configure time if they're not
    # already in the path. (if they are already in the path, the user
    # chose to have it that way, so we leave their order)
    for path in string.split(CONFIGURED_PYTHONPATH, ':'):
        if path not in sys.path:
            sys.path.insert(0, path)



def _run_game():
    import gamelib.main as main
    #try:
    sys.exit(main.main(sys.argv))
    #except StandardError, e:
        #print "Error: ", e
        #sys.exit(1)



try:
    _add_game_path()
    _run_game()
except KeyboardInterrupt:
    print "Interrupted by user!"

#from gamelib import main
#main.main()
